;;; ccs-iso8859-2.el --- Mapping table for ISO 8859-2 (Latin-2).

;; Copyright (C) 1999 Electrotechnical Laboratory, JAPAN.
;; Licensed to the Free Software Foundation.

;; Author: MORIOKA Tomohiko <tomo@m17n.org>
;; Keywords: coded character set

;; This file is part of UTF-2000.

;; UTF-2000 is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2, or (at your option)
;; any later version.

;; UTF-2000 is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;; General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with UTF-2000; see the file COPYING.  If not, write to the
;; Free Software Foundation, Inc., 59 Temple Place - Suite 330,
;; Boston, MA 02111-1307, USA.

;;; Code:

(set-charset-mapping-table
 'latin-iso8859-2
 [?\u00A0	; 0xA0	NO-BREAK SPACE
  ?\u0104	; 0xA1	LATIN CAPITAL LETTER A WITH OGONEK
  ?\u02D8	; 0xA2	BREVE
  ?\u0141	; 0xA3	LATIN CAPITAL LETTER L WITH STROKE
  ?\u00A4	; 0xA4	CURRENCY SIGN
  ?\u013D	; 0xA5	LATIN CAPITAL LETTER L WITH CARON
  ?\u015A	; 0xA6	LATIN CAPITAL LETTER S WITH ACUTE
  ?\u00A7	; 0xA7	SECTION SIGN
  ?\u00A8	; 0xA8	DIAERESIS
  ?\u0160	; 0xA9	LATIN CAPITAL LETTER S WITH CARON
  ?\u015E	; 0xAA	LATIN CAPITAL LETTER S WITH CEDILLA
  ?\u0164	; 0xAB	LATIN CAPITAL LETTER T WITH CARON
  ?\u0179	; 0xAC	LATIN CAPITAL LETTER Z WITH ACUTE
  ?\u00AD	; 0xAD	SOFT HYPHEN
  ?\u017D	; 0xAE	LATIN CAPITAL LETTER Z WITH CARON
  ?\u017B	; 0xAF	LATIN CAPITAL LETTER Z WITH DOT ABOVE
  ?\u00B0	; 0xB0	DEGREE SIGN
  ?\u0105	; 0xB1	LATIN SMALL LETTER A WITH OGONEK
  ?\u02DB	; 0xB2	OGONEK
  ?\u0142	; 0xB3	LATIN SMALL LETTER L WITH STROKE
  ?\u00B4	; 0xB4	ACUTE ACCENT
  ?\u013E	; 0xB5	LATIN SMALL LETTER L WITH CARON
  ?\u015B	; 0xB6	LATIN SMALL LETTER S WITH ACUTE
  ?\u02C7	; 0xB7	CARON
  ?\u00B8	; 0xB8	CEDILLA
  ?\u0161	; 0xB9	LATIN SMALL LETTER S WITH CARON
  ?\u015F	; 0xBA	LATIN SMALL LETTER S WITH CEDILLA
  ?\u0165	; 0xBB	LATIN SMALL LETTER T WITH CARON
  ?\u017A	; 0xBC	LATIN SMALL LETTER Z WITH ACUTE
  ?\u02DD	; 0xBD	DOUBLE ACUTE ACCENT
  ?\u017E	; 0xBE	LATIN SMALL LETTER Z WITH CARON
  ?\u017C	; 0xBF	LATIN SMALL LETTER Z WITH DOT ABOVE
  ?\u0154	; 0xC0	LATIN CAPITAL LETTER R WITH ACUTE
  ?\u00C1	; 0xC1	LATIN CAPITAL LETTER A WITH ACUTE
  ?\u00C2	; 0xC2	LATIN CAPITAL LETTER A WITH CIRCUMFLEX
  ?\u0102	; 0xC3	LATIN CAPITAL LETTER A WITH BREVE
  ?\u00C4	; 0xC4	LATIN CAPITAL LETTER A WITH DIAERESIS
  ?\u0139	; 0xC5	LATIN CAPITAL LETTER L WITH ACUTE
  ?\u0106	; 0xC6	LATIN CAPITAL LETTER C WITH ACUTE
  ?\u00C7	; 0xC7	LATIN CAPITAL LETTER C WITH CEDILLA
  ?\u010C	; 0xC8	LATIN CAPITAL LETTER C WITH CARON
  ?\u00C9	; 0xC9	LATIN CAPITAL LETTER E WITH ACUTE
  ?\u0118	; 0xCA	LATIN CAPITAL LETTER E WITH OGONEK
  ?\u00CB	; 0xCB	LATIN CAPITAL LETTER E WITH DIAERESIS
  ?\u011A	; 0xCC	LATIN CAPITAL LETTER E WITH CARON
  ?\u00CD	; 0xCD	LATIN CAPITAL LETTER I WITH ACUTE
  ?\u00CE	; 0xCE	LATIN CAPITAL LETTER I WITH CIRCUMFLEX
  ?\u010E	; 0xCF	LATIN CAPITAL LETTER D WITH CARON
  ?\u0110	; 0xD0	LATIN CAPITAL LETTER D WITH STROKE
  ?\u0143	; 0xD1	LATIN CAPITAL LETTER N WITH ACUTE
  ?\u0147	; 0xD2	LATIN CAPITAL LETTER N WITH CARON
  ?\u00D3	; 0xD3	LATIN CAPITAL LETTER O WITH ACUTE
  ?\u00D4	; 0xD4	LATIN CAPITAL LETTER O WITH CIRCUMFLEX
  ?\u0150	; 0xD5	LATIN CAPITAL LETTER O WITH DOUBLE ACUTE
  ?\u00D6	; 0xD6	LATIN CAPITAL LETTER O WITH DIAERESIS
  ?\u00D7	; 0xD7	MULTIPLICATION SIGN
  ?\u0158	; 0xD8	LATIN CAPITAL LETTER R WITH CARON
  ?\u016E	; 0xD9	LATIN CAPITAL LETTER U WITH RING ABOVE
  ?\u00DA	; 0xDA	LATIN CAPITAL LETTER U WITH ACUTE
  ?\u0170	; 0xDB	LATIN CAPITAL LETTER U WITH DOUBLE ACUTE
  ?\u00DC	; 0xDC	LATIN CAPITAL LETTER U WITH DIAERESIS
  ?\u00DD	; 0xDD	LATIN CAPITAL LETTER Y WITH ACUTE
  ?\u0162	; 0xDE	LATIN CAPITAL LETTER T WITH CEDILLA
  ?\u00DF	; 0xDF	LATIN SMALL LETTER SHARP S
  ?\u0155	; 0xE0	LATIN SMALL LETTER R WITH ACUTE
  ?\u00E1	; 0xE1	LATIN SMALL LETTER A WITH ACUTE
  ?\u00E2	; 0xE2	LATIN SMALL LETTER A WITH CIRCUMFLEX
  ?\u0103	; 0xE3	LATIN SMALL LETTER A WITH BREVE
  ?\u00E4	; 0xE4	LATIN SMALL LETTER A WITH DIAERESIS
  ?\u013A	; 0xE5	LATIN SMALL LETTER L WITH ACUTE
  ?\u0107	; 0xE6	LATIN SMALL LETTER C WITH ACUTE
  ?\u00E7	; 0xE7	LATIN SMALL LETTER C WITH CEDILLA
  ?\u010D	; 0xE8	LATIN SMALL LETTER C WITH CARON
  ?\u00E9	; 0xE9	LATIN SMALL LETTER E WITH ACUTE
  ?\u0119	; 0xEA	LATIN SMALL LETTER E WITH OGONEK
  ?\u00EB	; 0xEB	LATIN SMALL LETTER E WITH DIAERESIS
  ?\u011B	; 0xEC	LATIN SMALL LETTER E WITH CARON
  ?\u00ED	; 0xED	LATIN SMALL LETTER I WITH ACUTE
  ?\u00EE	; 0xEE	LATIN SMALL LETTER I WITH CIRCUMFLEX
  ?\u010F	; 0xEF	LATIN SMALL LETTER D WITH CARON
  ?\u0111	; 0xF0	LATIN SMALL LETTER D WITH STROKE
  ?\u0144	; 0xF1	LATIN SMALL LETTER N WITH ACUTE
  ?\u0148	; 0xF2	LATIN SMALL LETTER N WITH CARON
  ?\u00F3	; 0xF3	LATIN SMALL LETTER O WITH ACUTE
  ?\u00F4	; 0xF4	LATIN SMALL LETTER O WITH CIRCUMFLEX
  ?\u0151	; 0xF5	LATIN SMALL LETTER O WITH DOUBLE ACUTE
  ?\u00F6	; 0xF6	LATIN SMALL LETTER O WITH DIAERESIS
  ?\u00F7	; 0xF7	DIVISION SIGN
  ?\u0159	; 0xF8	LATIN SMALL LETTER R WITH CARON
  ?\u016F	; 0xF9	LATIN SMALL LETTER U WITH RING ABOVE
  ?\u00FA	; 0xFA	LATIN SMALL LETTER U WITH ACUTE
  ?\u0171	; 0xFB	LATIN SMALL LETTER U WITH DOUBLE ACUTE
  ?\u00FC	; 0xFC	LATIN SMALL LETTER U WITH DIAERESIS
  ?\u00FD	; 0xFD	LATIN SMALL LETTER Y WITH ACUTE
  ?\u0163	; 0xFE	LATIN SMALL LETTER T WITH CEDILLA
  ?\u02D9	; 0xFF	DOT ABOVE
  ])

;;; ccs-iso8859-2.el ends here
